# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, dhallPackages }:

dhallPackages.buildDhallPackage {
  name = "dhall-genode";

  code = let
    src = fetchgit {
      url = "https://git.sr.ht/~ehmry/dhall-genode";
      rev = "f05a2dbd8b675757d5d24276feaa66f4e5ab78a7";
      sha256 = "0l3pjkcd3kajlkdwckggr9l9jxcjrkc86gngpmvfmvl5gkvz12k3";
    };
  in src + "/package.dhall";

  dependencies = [ dhallPackages.Prelude."13.0.0" ];

  source = true;
}
